org.apache.poi.ss.usermodel

## Enum BorderExtent

- java.lang.Object
- - java.lang.Enum<BorderExtent>
  - - org.apache.poi.ss.usermodel.BorderExtent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BorderExtent>

      public enum BorderExtent
      extends java.lang.Enum<BorderExtent>

  The enumeration value indicating which borders to draw in a Property Template

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` All borders, that is top, bottom, left and right, including interior borders for the range.
    `BOTTOM` This is just the bottom border for the range.
    `HORIZONTAL` This is all horizontal borders for the range, including interior and outside borders.
    `INSIDE` All inside borders.
    `INSIDE_HORIZONTAL` This is just the interior horizontal borders for the range.
    `INSIDE_VERTICAL` This is just the interior vertical borders for the range.
    `LEFT` This is just the left border for the range, no interior borders will be produced.
    `NONE` No properties defined.
    `OUTSIDE` All outside borders.
    `OUTSIDE_HORIZONTAL` This is just the outside horizontal borders for the range.
    `OUTSIDE_VERTICAL` This is just the outside vertical borders for the range.
    `RIGHT` This is just the right border for the range, no interior borders will be produced.
    `TOP` This is just the top border for the range.
    `VERTICAL` This is all vertical borders for the range, including interior and outside borders.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BorderExtent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BorderExtent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final BorderExtent NONE

      No properties defined. This can be used to remove existing properties from the PropertyTemplate.

    - #### ALL

          public static final BorderExtent ALL

      All borders, that is top, bottom, left and right, including interior borders for the range. Does not include diagonals which are different and not implemented here.

    - #### INSIDE

          public static final BorderExtent INSIDE

      All inside borders. This is top, bottom, left, and right borders, but restricted to the interior borders for the range. For a range of one cell, this will produce no borders.

    - #### OUTSIDE

          public static final BorderExtent OUTSIDE

      All outside borders. That is top, bottom, left and right borders that bound the range only.

    - #### TOP

          public static final BorderExtent TOP

      This is just the top border for the range. No interior borders will be produced.

    - #### BOTTOM

          public static final BorderExtent BOTTOM

      This is just the bottom border for the range. No interior borders will be produced.

    - #### LEFT

          public static final BorderExtent LEFT

      This is just the left border for the range, no interior borders will be produced.

    - #### RIGHT

          public static final BorderExtent RIGHT

      This is just the right border for the range, no interior borders will be produced.

    - #### HORIZONTAL

          public static final BorderExtent HORIZONTAL

      This is all horizontal borders for the range, including interior and outside borders.

    - #### INSIDE_HORIZONTAL

          public static final BorderExtent INSIDE_HORIZONTAL

      This is just the interior horizontal borders for the range.

    - #### OUTSIDE_HORIZONTAL

          public static final BorderExtent OUTSIDE_HORIZONTAL

      This is just the outside horizontal borders for the range.

    - #### VERTICAL

          public static final BorderExtent VERTICAL

      This is all vertical borders for the range, including interior and outside borders.

    - #### INSIDE_VERTICAL

          public static final BorderExtent INSIDE_VERTICAL

      This is just the interior vertical borders for the range.

    - #### OUTSIDE_VERTICAL

          public static final BorderExtent OUTSIDE_VERTICAL

      This is just the outside vertical borders for the range.

  - ### Method Detail

    - #### values

          public static BorderExtent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BorderExtent c : BorderExtent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BorderExtent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.